Update Snipe List Entry
curl --request PATCH \
--url https://api.example.com/api/graph/v1/snipe-list/{symbol} \
--header 'Content-Type: application/json' \
--data '
{
"notes": "<string>",
"status": "<string>",
"alert_prefs": {}
}
'import requests
url = "https://api.example.com/api/graph/v1/snipe-list/{symbol}"
payload = {
"notes": "<string>",
"status": "<string>",
"alert_prefs": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({notes: '<string>', status: '<string>', alert_prefs: {}})
};
fetch('https://api.example.com/api/graph/v1/snipe-list/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"symbol": "<string>",
"added_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"status": "watching",
"alert_prefs": {},
"added_bull": 123,
"added_bear": 123,
"added_net": 123,
"added_verdict": "<string>",
"added_gates": true,
"last_price": 123,
"change_pct": 123,
"bullish_confluence": 123,
"bearish_confluence": 123,
"net_confluence": 123,
"directional_bias": "<string>",
"conviction_max_v5": 123,
"conflict_min_v5": 123,
"directional_bias_v5": "<string>",
"patterns": [
"<string>"
],
"verdict": "<string>",
"all_quality_gates_passed": true,
"data_as_of": "2023-11-07T05:31:56Z",
"added_pulse_net": 123,
"pulse_net": 123,
"pulse_delta": 123,
"confluence_delta": 123,
"unack_alert_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Snipe List
Update Snipe List Entry
Update notes, status, or alert preferences for a sniped symbol.
PATCH
/
api
/
graph
/
v1
/
snipe-list
/
{symbol}
Update Snipe List Entry
Path Parameters
Body
application/json
Response
Successful Response
Max of bull/bear v5 confluence (unsigned 0-100)
Min of bull/bear v5 confluence (unsigned 0-100)
Directional bias from v5 scoring